PKG_DEPS

The PKG_DEPS is similar to install_dep_packages key in INFO file, but it additionally defines the restriction according to specific DSM versions.

priority of PKG_DEPS is higher than install_dep_packages in INFO

Each configuration file is defined in standard .ini file format with key/value pairs and sections. A section describes a unique name of dependent/conflicting package. Each section contains information about the requirements of package versions and the restriction of DSM versions.

Key Description Value
pkg_min_ver Minimum version of dependent package. Package version
pkg_max_ver Maximum version of dependent package. Package version
dsm_min_ver Minimum required DSM version. X.Y-Z
DSM major number, DSM minor number, DSM build number
dsm_max_ver Maximum required DSM version. X.Y-Z
DSM major number, DSM minor number, DSM build number
; Your package depends on Package A in any version
[Package A]

; Your package depends on Package B version 2 or newer
[Package B]
pkg_min_ver=2

; Your package depends on Package C with version 2 or older
[Package C]
pkg_max_ver=2

; Your package depends on Package D with version 2 or newer but it will be ignored when DSM version is smaller than 4.1-2668
[Package D]
dsm_min_ver=4.1-2668
pkg_min_ver=2

; Your package depends on Package E with version 2 or newer but it will be ignored when DSM version is bigger than 4.1-2668
[Package E]
dsm_max_ver=4.1-2668
pkg_min_ver=2

results matching ""

    No results matching ""